Bug 1804774 - Simplify the process to add a msg on the RHVM Admin Portal Login
Summary: Simplify the process to add a msg on the RHVM Admin Portal Login
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine
Version: 4.3.0
Hardware: All
OS: All
unspecified
high
Target Milestone: ovirt-4.4.7
: ---
Assignee: Scott Dickerson
QA Contact: Pavel Novotny
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-02-19 15:38 UTC by Robert McSwain
Modified: 2021-07-22 15:12 UTC (History)
6 users (show)

Fixed In Version: ovirt-engine-4.4.7.5
Doc Type: Release Note
Doc Text:
Adding a message banner to the web administration welcome page is straight forward using custom branding that only contains a preamble section. An example of preamble branding is given here: https://bugzilla.redhat.com/attachment.cgi?id=1783329. In an engine upgrade, the custom preamble brand remains in place and will work without issue. During engine backup and subsequent restore, on engine restore the custom preamble branding needs to be manually restored/reinstalled and verified.
Clone Of:
Environment:
Last Closed: 2021-07-22 15:12:18 UTC
oVirt Team: UX
Target Upstream Version:


Attachments (Terms of Use)
preamble on ovirt branding (122.71 KB, image/png)
2021-05-14 20:51 UTC, Scott Dickerson
no flags Details
preamble on RHV branding (214.43 KB, image/png)
2021-05-14 20:52 UTC, Scott Dickerson
no flags Details
small brand to add a preamble section on the welcome page (1.31 KB, application/zip)
2021-05-14 21:00 UTC, Scott Dickerson
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2021:2865 0 None None None 2021-07-22 15:12:56 UTC
oVirt gerrit 114809 0 master MERGED branding: add a preamble template 2021-06-22 10:42:31 UTC

Description Robert McSwain 2020-02-19 15:38:47 UTC
We were able to apply a banner by modifying and replacing a bundled image. 
     
      /etc/ovirt-engine/branding/50-rhv-2.brand/bundled/rcue/img/bg-login-2.png

This is sub-optimal because:
     1) An update will overwrite the image, requiring a redeploy of the .png 
     2) In future releases the .css or image could change

Requesting an RFE to add this feature to RHV-M? Adding this message in Satellite is done via the UI as described in https://access.redhat.com/documentation/en-us/red_hat_satellite/6.6/html/administering_red_hat_satellite/chap-red_hat_satellite-administering_red_hat_satellite-accessing_red_hat_satellite#sect-Red_Hat_Satellite-Administering_Red_Hat_Satellite-Setting_a_Custom_Login_Message is very easy. It is not simple or permanent in RHV-M

Comment 1 Greg Sheremeta 2020-02-20 00:21:32 UTC
There used to be an engine-config setting for this iirc, and I think it only showed on the old userportal. It was removed. For example:

https://gerrit.ovirt.org/#/c/24282/1/frontend/webadmin/modules/gwt-common/src/main/java/org/ovirt/engine/ui/common/presenter/AbstractLoginPopupPresenterWidget.java

Comment 2 Robert McSwain 2020-02-24 19:58:43 UTC
Since this was removed, is there any expectation that this will be added back in the future, via either this RFE or any others?

Comment 3 Sharon Gratch 2020-04-01 09:35:15 UTC
(In reply to Robert McSwain from comment #2)
> Since this was removed, is there any expectation that this will be added
> back in the future, via either this RFE or any others?

Yes we will, but probably only to 4.4.z.

Comment 8 Robert McSwain 2020-09-09 21:13:58 UTC
I've confirmed with the customer this is what they would like - branding isn't necessary and text would be the following as described by the customer:

~~~
What we are looking for is an easier way to simply add below verbage  (see below) to the initial splash screen, when hitting "https://RHVM/ovirt-engine".
from there you have option of hitting the "Administraton Portal" or "VM Portal". 

Warning:  Use of this System is Restricted to Authorized Users                     
 This computer system is the private property of the Company and may be used only  by those individuals authorized by the Company, in accordance with Company policy.
 Unauthorized, illegal or improper use may result in disciplinary action and/or civil or criminal prosecution.  Your use of Company electronic systems is subject
 to monitoring and disclosure in accordance with Company policy and applicable law.  By continuing to access this system, you agree to comply with all Company policies, 
  that your use of Company electronic systems is subject to the foregoing and that you have no expectation of privacy in regard to any files or data stored.  Company 
 policies can be accessed on the Company website.

We do not want to change any branding, just add text.  Red Hat Satellite 6.7 gives the option to add "Login page footer text" verbage in it "settings" page.
The way RHV is right now,  you have to find the correct splash image,  add the text to the image, play with the font and color and copy the modifications to 
"/etc/ovirt-engine/branding/50-rhv-2.brand/bundled/rcue/img/bg-login-2.png". 
~~~

Comment 10 Sharon Gratch 2021-01-19 11:31:13 UTC
moving to 4.4.6 due to capacity reason.

Comment 12 Scott Dickerson 2021-05-14 20:50:58 UTC
With patch 114809, the ability to add a "preamble" section on the welcome page with a small custom branding works pretty well.

I'll attach the simple custom branding I tested along with a screen shot of how it looks on top of the default ovirt branding and on top of the RHV branding.

Comment 13 Scott Dickerson 2021-05-14 20:51:58 UTC
Created attachment 1783327 [details]
preamble on ovirt branding

Comment 14 Scott Dickerson 2021-05-14 20:52:33 UTC
Created attachment 1783328 [details]
preamble on RHV branding

Comment 15 Scott Dickerson 2021-05-14 21:00:54 UTC
Created attachment 1783329 [details]
small brand to add a preamble section on the welcome page

Extra the zip to /etc/ovirt-engine/branding

3 files:
  99-preamble.brand/branding.properties
  99-preamble.brand/preamble.css
  99-preamble.brand/preamble.template

I can create a bare bones project to create an rpm from these files to make it easy to install the preamble brand if that would be easier.

Comment 17 Scott Dickerson 2021-06-17 15:24:43 UTC
Note: I tested an upgrade from 4.4.5 to 4.4.6 and the custom branding I had installed on 4.4.5 was there and worked after the upgrade.

During a backup and restore, the custom branding would not be included.  In that case, it would be expected to have to reinstall the custom branding on the restored system.

Comment 24 Pavel Novotny 2021-07-09 23:26:04 UTC
Verified in ovirt-engine-4.4.7.6-0.11.el8ev.

Verified with Scott's custom branding in attachment 1783329 [details]. 
The result looks exactly the same as in the screenshot in attachment 1783328 [details].

Comment 25 Sandro Bonazzola 2021-07-13 14:11:08 UTC
Please also open a documentation bug to get information about how to let system administrators use this feature.

A few examples where this feature can be useful:
- communicate planned maintenance of the infrastructure
- quickly add some company logo image (but I think for this part a full portal branding would be nicer https://ovirt.org/documentation/administration_guide/index.html#Re-Branding_the_Manager1 )

I also got a note about documenting that ovirt engine restart is needed in order to make the change active.

Comment 26 Scott Dickerson 2021-07-15 16:41:44 UTC
(In reply to Sandro Bonazzola from comment #25)
> Please also open a documentation bug to get information about how to let
> system administrators use this feature.
> 
> A few examples where this feature can be useful:
> - communicate planned maintenance of the infrastructure
> - quickly add some company logo image (but I think for this part a full
> portal branding would be nicer
> https://ovirt.org/documentation/administration_guide/index.html#Re-
> Branding_the_Manager1 )
> 
> I also got a note about documenting that ovirt engine restart is needed in
> order to make the change active.

Opened docs BZ 1982773.

Comment 30 errata-xmlrpc 2021-07-22 15:12:18 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: RHV Manager (ovirt-engine) security update [ovirt-4.4.7]), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:2865


Note You need to log in before you can comment on or make changes to this bug.